Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`names`.`common``

module documentation
(source)

Base functionality useful to various parts of Twisted Names.

Class | `ResolverBase` | `ResolverBase` is a base class for implementations of `interfaces.IResolver` which deals with a lot of the boilerplate of implementing all of the lookup methods.
Function | `extractRecord` | Resolve a name to an IP address, following CNAME records and NS referrals recursively.
Constant | `EMPTY_RESULT` | Undocumented
Variable | `typeToMethod` | Undocumented
Variable | `_ADD` | Undocumented
Variable | `_ANS` | Undocumented
Variable | `_AUTH` | Undocumented

def extractRecord(resolver, name, answers, level=10): (source)

Resolve a name to an IP address, following CNAME records and NS referrals recursively.

This is an implementation detail of `ResolverBase.getHostByName`.

Parameters
resolver:`IResolver` | The resolver to use for the next query (unless handling an NS referral).
name:`dns.Name` | The name being looked up.
answers:`list` of `dns.RRHeader` | All of the records returned by the previous query (answers, authority, and additional concatenated).
level:`int` | Remaining recursion budget. This is decremented at each recursion. The query returns `None` when it reaches 0.
Returns
native `str` or `None` | The first IPv4 or IPv6 address (as a dotted quad or colon quibbles), or `None` when no result is found.

EMPTY_RESULT: `tuple[tuple, ...]` = (source)

Undocumented

Value

    ((), (), ())

typeToMethod = (source)

Undocumented

_ADD = (source)

Undocumented

_ANS = (source)

Undocumented

_AUTH = (source)

Undocumented